> ## Documentation Index
> Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Autosave a node

> Save a single node without a full flow save.



## OpenAPI

````yaml /api-reference/voxys_flows_swagger.json patch /api/v1/accounts/{account_id}/chatbot_flows/{id}/nodes/{node_id}
openapi: 3.1.0
info:
  title: Voxys Connect - Chatbot Flows
  description: >-
    Visual n8n-style chatbot flow builder: lifecycle, node autosave, AI builder,
    interactive playground, executions, and export.
  version: 1.0.0
  contact:
    email: support@voxys.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://connect.voxys.ai
security:
  - userApiKey: []
tags:
  - name: Chatbot Flows
    description: Flow builder lifecycle, AI builder, playground, executions, export.
paths:
  /api/v1/accounts/{account_id}/chatbot_flows/{id}/nodes/{node_id}:
    patch:
      tags:
        - Chatbot Flows
      summary: Autosave a node
      description: Save a single node without a full flow save.
      operationId: updateFlowNode
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/id'
        - name: node_id
          in: path
          required: true
          schema:
            type: string
          description: Node id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: Node content (JSONB)
      responses:
        '200':
          description: Successful response
        '401':
          $ref: '#/components/responses/unauthorized'
        '404':
          $ref: '#/components/responses/not_found'
        '422':
          $ref: '#/components/responses/unprocessable'
components:
  parameters:
    account_id:
      name: account_id
      in: path
      required: true
      schema:
        type: integer
      description: Numeric ID of the account
    id:
      name: id
      in: path
      required: true
      schema:
        type: integer
      description: Numeric ID of the resource
  responses:
    unauthorized:
      description: Authentication failed – invalid or missing api_access_token
    not_found:
      description: Resource not found
    unprocessable:
      description: Unprocessable entity – validation errors
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        All API requests must include the `api_access_token` header with a valid
        agent or administrator token.

````